Subject: Re: libpng issues
From: "Gerrit P. Haase" <[email-masked]>
To: Marco Alanen <[email-masked]>
Cc: [email-masked]
Date: Fri, 12 Nov 2004 15:08:31 +0100

Marco Alanen wrote:
> Gerrit P. Haase wrote:
> 
>> Marco Alanen wrote:
>>
>>> After successfully porting our application from Linux to cygwin, most 
>>> of the functions work, except for one thing - png images. As soon as 
>>> I call  png_create_read_struct, the application will imediately hang 
>>> and start using up all available CPU power. This happens with both 
>>> libpng10 and libpng12.
>>>
>>> This is the call we make:
>>> png_structp png_ptr = png_create_read_struct (PNG_LIBPNG_VER_STRING, 
>>> (png_voidp)0, 0, 0);
>>>
>>> Anybody who knows anything about it, or knows what more information I 
>>> should provide?
>>
>>
>>
>> Simple testcase (compilable snippet), please?
>>
>> Gerrit
> 
> 
> Some simple code:
> #include <stdio.h>
> #include <png.h>
> 
> int main(int argc, char **argv)
> {
>         png_structp png_ptr = png_create_read_struct                 
> (PNG_LIBPNG_VER_STRING, NULL, NULL, NULL);
> 
>         return 0;
> }
> 
> Compiled with:
> gcc -o pngtest pngtest.c -mno-cygwin -mwin32 -mwindows -lpng

And you have libpng installed?

$ ls /usr/lib/mingw/*png*
ls: /usr/lib/mingw/*png*: No such file or directory

$ ls /usr/lib/w32api/*png*
ls: /usr/lib/w32api/*png*: No such file or directory

Me not and therefore I cannot test it:
$ gcc -o pngtest pngtest.c -mno-cygwin -mwin32 -mwindows -lpng
pngtest.c:2:17: png.h: No such file or directory
...

Please contact the distributor of your MinGW libpng since this library
is not distributed with Cygwin it is not supported here.

BTW, using the Cygwin libpng without -mno-cygwin works ok and using this
switch doesn't port your software to Cygwin;)

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/